Bug 983436 - remounting a bind mount exponentially fills up /proc/mounts [NEEDINFO]
remounting a bind mount exponentially fills up /proc/mounts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 04:39 EDT by Pierre Ossman
Modified: 2014-12-10 10:00 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-10 10:00:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2013-07-11 04:39:50 EDT
Kernel kernel-3.9.6-200.fc18.x86_64:

[root@ossman mnt]# grep lv_local /proc/mounts 
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
[root@ossman mnt]# mount -o bind /local /mnt/foo
[root@ossman mnt]# grep lv_local /proc/mounts 
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
[root@ossman mnt]# mount -o bind /local /mnt/foo
[root@ossman mnt]# grep lv_local /proc/mounts 
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
[root@ossman mnt]# mount -o bind /local /mnt/foo
[root@ossman mnt]# grep lv_local /proc/mounts 
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
[root@ossman mnt]# mount -o bind /local /mnt/foo
[root@ossman mnt]# grep lv_local /proc/mounts 
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /mnt/foo ext4 rw,seclabel,relatime,data=ordered 0 0
/dev/mapper/vg_ossman-lv_local /local ext4 rw,seclabel,relatime,data=ordered 0 0
Comment 1 Pierre Ossman 2013-07-11 04:41:06 EDT
And after a few rounds you also wedge things:

[root@ossman mnt]# umount /mnt/foo
umount: /mnt/foo: target is busy.

Doing umount -l at this point hangs the system.
Comment 2 Josh Boyer 2013-09-18 16:51:54 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Pierre Ossman 2013-09-19 04:53:11 EDT
Bug remains in 3.11.1-200.fc19.
Comment 4 Justin M. Forbes 2014-01-03 17:08:38 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2014-03-10 10:40:16 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.
Comment 6 Pierre Ossman 2014-03-10 11:22:57 EDT
Sorry, forgot about this. Still happens with 3.12.8-200.fc19.x86_64.
Comment 7 Justin M. Forbes 2014-05-21 15:30:29 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 8 Pierre Ossman 2014-05-22 08:11:42 EDT
Still happens with 3.14.4-200.fc20.x86_64.
Comment 9 Jonas Jonsson 2014-07-25 08:07:01 EDT
This problem doesn't happen on a Debian unstable system, 3.14.4-1. 
It doesn't happen on an ancient Fedora 14 machine either, 2.6.35.14-106.fc14.x86_64.

I've tested the vanilla linux kernel v3.15 and v3.16-rc6 on a minimal busybox based system. Unable to reproduce the problem there. The kernel config matches the one used for 3.15.4-200.fc20.x86_64.

I can reproduce this on 3.15.4-200.fc20.x86_64.
Comment 10 Justin M. Forbes 2014-11-13 11:01:11 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 11 Justin M. Forbes 2014-12-10 10:00:47 EST
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.